/*************************variables***************************/
:root {
    --mon-ombre: 0px 0px 5px 0px rgba(0, 0, 0, 0.2);
}

/***************************general*************************/

body, html{
		max-width: 100% !important;	
		overflow-x: hidden;
}

a:focus {
    outline: none ! important;
}

img[title] {
    pointer-events: none;
    cursor: default;
}

/****mobile menu****/
.ast-menu-toggle {
	background-color: transparent !important;
	border-radius: 0px !important;
	border: none !important;
}

.ast-button-wrap .ast-mobile-menu-trigger-minimal:focus, .ast-mobile-popup-drawer.active .menu-toggle-close:focus, .woocommerce-ordering select.orderby:focus, #ast-scroll-top:focus, .woocommerce a.add_to_cart_button:focus, .woocommerce .button.single_add_to_cart_button:focus {
	border-width: 0px !important; 
    outline-color: transparent;
}

/****bg foncé***/
.dark-bg h1,
.dark-bg span,
.dark-bg a{
	color: #fff;
}

.dark-bg a:hover{
	color: #fff;
}

/****images****/
.img-500 img{
	height: 500px !important;
	object-fit: cover;
	width: 100%;
}

.height-300 img{
	height: 300px; 
	width: 100%;
	object-fit: cover
}

/****ICONES****/

.reassurance-blocs img{
	min-height: 60px !important;
	max-height: 60px !important;
	object-fit: contain;
}

.img60 img{
	max-height: 60px !important;
	min-height: 60px;
	object-fit: contain; 
	border: 2px solid var(--ast-global-color-5); 
	padding: 10px; 
	background-color: var(--ast-global-color-4); 
}

/***divers***/
.uael-timeline-desc-content ul{
	margin: 0 0 1.5em 1em;
	list-style: square;
}

/*************************HEADER*********************************/

.header-widget-area-inner{
	text-align: center;
}

/****logo****/
.site-logo-img img{
	max-width: 180px !important;
}

@media screen and (max-width: 544px) {
    .site-logo-img img{
	    max-width: 120px !important;
    }
}

.ast-mobile-popup-content img{
	width: 120px;
	margin: 0 auto 20px;
	text-align: center;
}

/****texte entete page 50%****/
.text-50{
	max-width: 600px; 
    margin: 0 0 0 auto;
}

/****topbar****/
.top-btn{
	background-color: var(--ast-global-color-2);
	padding: 4px 16px;
	border-radius: 50px;
    margin-left: 30px;
	display: inline-block;
}

/****toggle****/
.menu-toggle, button, .ast-button, .ast-custom-button, .button, input#submit, input[type="button"], input[type="submit"], input[type="reset"]{
	border: none !important;
	line-height: 1 !important;
}

/****************************FOOTER***********************/
footer{
	font-size: 15px;
}

footer ul.menu{
	margin: 0
}

footer li a{
	color: #fff;
}

.copyright-footer,
.copyright-footer a{
	color: #fff;
	font-size: 15px
}

footer li a:hover,
.copyright-footer a:hover,
footer li a:focus,
.copyright-footer a:focus{
	color: var(--ast-global-color-0);
}

@media screen and (max-width: 544px) {
	.credit-sep{
		display: none;
	}
	
	.credit{
		display: block;
	}
}

/*******************************BLOCS**********************/

/****cat produits blocs****/
.catproduits-blocs .uael-post__bg-wrap {
    position: relative; 
    min-height: 400px;
}

.catproduits-blocs .uael-post__content-wrap {
    position: absolute !important; 
    bottom: 0; 
    width: 100%; 
}

.catproduits-blocs .uael-post-grid ul.slick-dots li.slick-active button:before{
	opacity: 1;
}

.catproduits-blocs .uael-post__thumbnail img{
	object-fit: cover;
}

/****univers blocs*****/
.univers-blocs img{
	height: 60px !important;
	object-fit: contain;
	margin-top: 30px;
}

.univers-blocs  .uael-post__bg-wrap:hover {
    background-color: var(--e-global-color-astglobalcolor2) !important;
}

.univers-blocs  .uael-post__bg-wrap:hover .uael-post__title a,
.univers-blocs  .uael-post__bg-wrap:hover .uael-post__excerpt{
    color: var(--e-global-color-astglobalcolor5) !important;
}

.univers-blocs .uael-post__excerpt{
	margin: 10px 0 0 0 !important;
}

/****realisations blocs****/
.realisations-blocs img{
	max-height: 100px !important; 
		min-height: 100px !important; 
	object-fit: contain;
}

.realisations-blocs.light-bg img{
	  filter: brightness(0) saturate(100%) invert(19%) sepia(7%) saturate(748%) hue-rotate(158deg) brightness(89%) contrast(88%);

}

/****BLOG blocs****/

/* Applique un clip-path avec une diagonale en haut pour les éléments impairs */
.actu-blocs .uael-post-wrapper:nth-of-type(odd) .uael-post__thumbnail img {
    clip-path: polygon(0 15%, 100% 0, 100% 100%, 0 100%);
}

/* Applique un clip-path inversé avec une diagonale en bas pour les éléments pairs */
.actu-blocs .uael-post-wrapper:nth-of-type(even) .uael-post__thumbnail img {
    clip-path: polygon(0 0, 100% 15%, 100% 100%, 0 100%);
}

.actu-blocs .uael-post-wrapper .uael-post__thumbnail{
	background: var(--e-global-color-astglobalcolor4);
}

.actu-blocs .uael-post__content-wrap{
	    -webkit-box-shadow: var(--mon-ombre);
    box-shadow: var(--mon-ombre);
}

.actu-blocs .uael-post__title{
	min-height: 78px;
}

.actu-blocs .uael-post__excerpt{
	min-height: 106px;
}

/*******************************SINGLE***************************/

/****univers****/
.single-univers .site-content{
	display: none;
}

/****produits****/
.header-produit h2{
	font-size: 24px;
	margin-bottom: 10px;
}

.header-produit h3 {
    font-size: 20px;
    margin-bottom: 10px;
}

/**************************FORMS*******************************/

label,
.forminator-module-edit-link{
	display: none;
}

.forminator-error-message{
	display: block;
	color: red;
}

.forminator-error ul{
	display: none;
}

input, input[type="text"], input[type="email"], input[type="url"], input[type="password"], input[type="reset"], input[type="search"], textarea,
input[type=tel]{
    border: 2px solid var(--e-global-color-astglobalcolor2) !important; 
	background-color: var(--e-global-color-astglobalcolor6);
}

input, input[type="text"], input[type="email"], input[type="url"], input[type="password"], input[type="reset"], input[type="search"],
input[type=tel]{
	border-radius: 50px; 
	width: 100%;
}

textarea{
	border-radius: 20px;
}

input:focus, input[type="text"]:focus, input[type="email"]:focus, input[type="url"]:focus, input[type="password"]:focus, input[type="reset"]:focus, input[type="search"]:focus, textarea:focus, input[type=tel]:focus{
	border: 2px solid var(--e-global-color-astglobalcolor0) !important;

}

/* Stylise le label pour ressembler à une case à cocher */
.forminator-checkbox {
    position: relative;
    padding-left: 0px; 
	padding-right: 10px;
    cursor: pointer;
    display: inline-block;
}

.forminator-checkbox__label, .forminator-checkbox__label p{
	display: inline !important;
}

/***********************COMPLIANZ COOKIES***********************/

#cmplz-document {
    max-width: 100% !important;
    text-justify: inter-word;
}

#cmplz-cookies-overview .cmplz-dropdown p, #cmplz-document li, #cmplz-document p, #cmplz-document td {
    font-size: 16px !important;
    margin-top: 0;
}

#cmplz-document h2, #cmplz-document h3 {
    font-size: 22px;
    text-align: left;
    margin-top: 40px;
    text-transform: initial;
    padding-bottom: 10px;
    border-bottom: 1px solid #c6c6c6;
    margin-bottom: 10px;
	font-weight: 600;
}

#cmplz-document h3, #cmplz-document h3 {
    font-size: 18px !important;
    text-align: left;
    margin-top: 30px;
    text-transform: initial;
    padding-bottom: 10px;
    border-bottom: 0px solid #c6c6c6;
    margin-bottom: 10px;
	font-weight: 600;
}

#cmplz-document h4, #cmplz-document h4 {
    font-size: 16px !important;
    text-align: left;
    margin-top: 30px;
    text-transform: initial;
    padding-bottom: 10px;
    border-bottom: 0px solid #c6c6c6;
    margin-bottom: 10px;
	font-weight: 600;
}

.cc-revoke.cc-bottom {
	border-radius: 0 !important;
	font-size: 14px;
}

.cmplz-btn:not(.cmplz-manage-consent){
    	background-color: var(--ast-global-color-0) !important;
        border-color: var(--ast-global-color-0) !important;
        color: var(--ast-global-color-5) !important;
        border-radius: 50px !important;
}

.cmplz-btn:not(.cmplz-manage-consent):hover{
    	background-color: var(--ast-global-color-1) !important;
        border-color: var(--ast-global-color-1) !important;
}

.cmplz-manage-consent.manage-consent-1.cc-btn{
    font-size: 15px;
}